<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

// Add scripts for Categorie, Users and Logs management
$this->headScript()->appendFile('/js/adminTab.js');
$this->headScript()->appendScript($this->variables);

// Add CSS for Administration
$this->headLink ()->appendStylesheet ('/css/admin.css');

echo '<h1>'.$translator->translate ('Administration').'</h1>';
echo '<hr>';
echo $this->navbar;
echo '<hr>';

?>
<div id="boxL">
    <ol id="groups">
    </ol>
</div>
    <div id="boxR">
            <form id="editGroup">
                <input type="hidden" id="groupId" value="" />
    <?
    echo $this->composerTableLine ('','','HEAD');
    echo $this->composerTableLine ('<input type="text" id="groupName" />',
                                   '<input type="submit" value="'
                                     .$translator->translate ('Modify the name')
                                     .'" />');
    echo $this->composerTableLine ('<input type="submit" id="cancelGroup"'.' value="'
                                     .$translator->translate ('Cancel').'" />',
                                   '', 'MERGED');
    echo $this->composerTableLine ('','','FOOT');
    ?>
            </form>
            <form id="addUser">
                <input type="submit" value="<?echo $translator->translate ('Add a user');?>" />
            </form>
            <form id="editUser">
    <?
    echo $this->composerTableLine ('', '', 'HEAD');
    echo $this->composerTableLine ($translator->translate ('Category: '),
                                   '<input type="text" id="userGroup" disabled="true"/>');
    echo $this->composerTableLine ($translator->translate ('Login: '),
                                   '<input type="text" id="userName" />');
    echo $this->composerTableLine ($translator->translate ('Password: '),
                                   '<input type="password" id="userPass" />');
    echo $this->composerTableLine ($translator->translate ('Firstname: '),
                                   '<input type="text" id="userFirstname" />');
    echo $this->composerTableLine ($translator->translate ('Lastname: '),
                                   '<input type="text" id="userLastname" />');
    echo $this->composerTableLine ($translator->translate ('E-mail: '),
                                   '<input type="text" id="userEmail" />');
    echo $this->composerTableLine ('<input type="submit" id="createUser" value="'
                                        .$translator->translate ('Create').'" />'.
                                   '<input type="submit" id="applyUser" value="'
                                        .$translator->translate ('Apply').'" />'.
                                   '<input type="submit" id="cancelUser" value="'
                                        .$translator->translate ('Cancel').'" />',
                                   '', 'MERGED');
    echo $this->composerTableLine ('', '', 'FOOT');
    ?>
                <input type="hidden" id="userId" value="" />
            </form>
            <form id="addGroup">
                <input type="text" id="newGroup" />
                <input type="submit" value="<?echo $translator->translate ('Add a category');?>" />
            </form>
        </div>
    <?
